:root {
  --jls-main-bg-color: rgb(210, 221, 255);
  --jls-main-menu-color: rgb(253, 183, 91);
  --jls-emphasis-color: rgb(165, 94, 0);
  --jls-main-text-color: black;
  --jls-unimportant-text-color: grey;
  --jls-drop-shadow-color: grey;
  --jls-main-spacing: 18px;
}

body {
  min-height: 100dvh;
  margin: 0;
  background-color: var(--jls-main-bg-color);
  color: var(--jls-main-text-color);

  display: grid;
  grid-template-rows: auto 1fr auto;
  grid-template-columns:
    minmax(1rem, 1fr)
    min(100% - 2rem, 800px)
    minmax(1rem, 1fr);
}

body > * {
  grid-column: 2;
}

main {
  padding: var(--jls-main-spacing) 0;
}

p {
  text-align: justify;
}

footer {
  font-size: small;
}

.jls-full-width {
  grid-column: 1 / -1;
}

.jls-main-divider {
  color: var(--jls-main-menu-color);
}

.jls-footer-list {
  display: grid;
  list-style: none;
  grid-template-columns: repeat(auto-fit, minmax(115px, 1fr));
  gap: var(--jls-main-spacing);
  padding: 0;
}

.jls-footer-list > li {
  text-align: center;
}

h1 {
  text-align: center;
}

strong {
  color: var(--jls-emphasis-color);
}

.inline-textual-svg {
  height: 1em;
  vertical-align: text-bottom;
}

.jls-content-list {
  justify-content: center;
  display: grid;
  gap: var(--jls-main-spacing);
  grid-template-columns: repeat(auto-fit, minmax(150px, 300px));
}

.jls-content-item {
  background-color: var(--jls-main-menu-color);
  filter: drop-shadow(3px 3px 3px var(--jls-drop-shadow-color));
  border-radius: 25px;
  padding: 18px;
  text-decoration: none;
  color: var(--jls-main-text-color);
}

.jls-content-item-title {
  margin-top: 0;
  text-align: center;
  border-bottom: 2px solid black;
}

.jls-link-no-formatting {
  text-decoration: none;
  color: var(--jls-main-text-color);
}

.jls-unimportant-text {
  color: var(--jls-unimportant-text-color);
}
